From: "Marek Szuba" <marecki@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nessus-agent-bin/
Date: Thu, 19 Dec 2019 15:18:25 +0000 (UTC) [thread overview]
Message-ID: <1576768625.e8070f9b7d9965872c9d06e1a87701060dea244e.marecki@gentoo> (raw)
commit: e8070f9b7d9965872c9d06e1a87701060dea244e
Author: Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 19 13:19:32 2019 +0000
Commit: Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 15:17:05 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8070f9b
net-analyzer/nessus-agent-bin: bump to 7.5.0
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>
net-analyzer/nessus-agent-bin/Manifest | 1 +
.../nessus-agent-bin/nessus-agent-bin-7.5.0.ebuild | 64 ++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/net-analyzer/nessus-agent-bin/Manifest b/net-analyzer/nessus-agent-bin/Manifest
index ef96c3ce18c..5961ec0f2cd 100644
--- a/net-analyzer/nessus-agent-bin/Manifest
+++ b/net-analyzer/nessus-agent-bin/Manifest
@@ -1 +1,2 @@
DIST NessusAgent-7.4.2-es7.x86_64.rpm 15989044 BLAKE2B 7fdc998acc4a5ee38519a3cf4d41d1de29cb8ddacb05bd6f734a458c63d7ce22c547b4d080320631d489dc381c4553d99a81786dcb48231833a77561ffa6928f SHA512 4aacc51d360c41963ad46c0976322cd29012d52e054337d4e0a303257796923bd35059324a041827ce0c54ef5c5dd6738311fcc4f0bcba19b6d4ea1e3730a146
+DIST NessusAgent-7.5.0-es7.x86_64.rpm 16793328 BLAKE2B 2a7409477f0d08d2be6d3c5e482f33e73861bc01c3c26e1edd689d71861621f5699ce0e2bb67e994dcd54e9e1314dee056b46aea79fe990bf1629e229ada8e64 SHA512 ed82b37d67a27a3fc9d317a9009afd42332b2935f869f72344f60946a28446ee606821b927f74a4899bb3c5d485b1a607935714ab604e206108db3abe99dcc38
diff --git a/net-analyzer/nessus-agent-bin/nessus-agent-bin-7.5.0.ebuild b/net-analyzer/nessus-agent-bin/nessus-agent-bin-7.5.0.ebuild
new file mode 100644
index 00000000000..20d896ea629
--- /dev/null
+++ b/net-analyzer/nessus-agent-bin/nessus-agent-bin-7.5.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit rpm pax-utils systemd
+
+MY_P="NessusAgent-${PV}-es7"
+
+DESCRIPTION="A remote security scanner for Linux - agent component"
+HOMEPAGE="https://www.tenable.com/"
+SRC_URI="${MY_P}.x86_64.rpm"
+
+LICENSE="GPL-2 Nessus-EULA"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="mirror fetch strip"
+
+QA_PREBUILT="opt/nessus_agent/bin/nasl
+ opt/nessus_agent/bin/nessus-mkrand
+ opt/nessus_agent/lib/nessus/libjemalloc.so.${PV}
+ opt/nessus_agent/lib/nessus/libnessus-glibc-fix.so
+ opt/nessus_agent/lib/nessus/plugins/ovaldi64-rhel7.inc
+ opt/nessus_agent/sbin/nessus-check-signature
+ opt/nessus_agent/sbin/nessus-service
+ opt/nessus_agent/sbin/nessuscli
+ opt/nessus_agent/sbin/nessusd"
+
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo "Please download ${A} from ${HOMEPAGE}downloads/nessus-agents"
+ einfo "The archive should then be placed into your DISTDIR directory."
+}
+
+src_install() {
+ # Using doins -r would strip executable bits from all binaries
+ cp -pPR "${S}"/opt "${D}"/ || die "Failed to copy files"
+
+ pax-mark m "${D}"/opt/nessus_agent/sbin/nessusd
+
+ # Make sure these originally empty directories do not vanish,
+ # Nessus will not run properly without them
+ keepdir /opt/nessus_agent/com/nessus/CA
+ keepdir /opt/nessus_agent/etc/nessus
+ keepdir /opt/nessus_agent/var/nessus/logs
+ keepdir /opt/nessus_agent/var/nessus/tmp
+ keepdir /opt/nessus_agent/var/nessus/users
+
+ newinitd "${FILESDIR}"/nessusagent.initd nessusagent
+ systemd_dounit usr/lib/systemd/system/nessusagent.service
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "In order to link the agent to Tenable.io or an instance of Nessus Manager,"
+ elog "obtain an appropriate linking key and run"
+ elog ""
+ elog " /opt/nessus_agent/sbin/nessuscli agent link --key=<key> --host=<host> --port=<port> [optional parameters]"
+ elog ""
+ elog "This can be done before the agent is started."
+ fi
+}
next reply other threads:[~2019-12-19 15:18 UTC|newest]
Thread overview: 58+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-19 15:18 Marek Szuba [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-12 15:23 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nessus-agent-bin/ Marek Szuba
2024-04-07 1:06 Marek Szuba
2024-02-18 10:47 Marek Szuba
2023-12-24 11:45 Marek Szuba
2023-11-21 10:05 Marek Szuba
2023-08-21 12:28 Marek Szuba
2023-07-10 23:04 Marek Szuba
2023-06-07 13:06 Marek Szuba
2023-04-14 8:09 Marek Szuba
2023-04-14 4:04 Sam James
2023-04-03 6:33 Marek Szuba
2023-03-30 8:49 Marek Szuba
2023-03-30 8:31 Marek Szuba
2023-03-30 8:31 Marek Szuba
2023-03-30 8:31 Marek Szuba
2023-03-13 12:02 Marek Szuba
2023-01-20 9:37 Marek Szuba
2022-11-20 22:17 Marek Szuba
2022-09-13 19:45 Rick Farina
2022-06-16 21:45 Marek Szuba
2022-04-01 8:18 Marek Szuba
2022-03-23 23:18 Marek Szuba
2022-02-03 6:56 Marek Szuba
2021-12-17 23:25 Marek Szuba
2021-11-18 21:45 Mike Gilbert
2021-09-27 14:53 Marek Szuba
2021-09-10 20:51 Marek Szuba
2021-07-21 19:45 Marek Szuba
2021-06-24 11:25 Marek Szuba
2021-04-14 16:21 Marek Szuba
2021-03-23 9:19 Marek Szuba
2020-12-09 10:02 Marek Szuba
2020-09-10 11:28 Marek Szuba
2020-08-28 12:42 Marek Szuba
2020-08-23 22:20 Marek Szuba
2020-07-21 19:42 Marek Szuba
2020-06-19 18:20 Marek Szuba
2020-03-09 15:45 Marek Szuba
2020-03-09 15:45 Marek Szuba
2019-10-08 14:57 Marek Szuba
2019-08-19 9:14 Marek Szuba
2019-08-09 15:38 Marek Szuba
2019-08-09 15:38 Marek Szuba
2019-06-11 14:58 Marek Szuba
2019-04-24 16:13 Marek Szuba
2019-04-24 16:12 Marek Szuba
2019-04-24 15:01 Rick Farina
2019-02-05 19:51 Ben Kohler
2018-11-22 10:25 Marek Szuba
2018-11-22 10:25 Marek Szuba
2018-09-10 11:59 Marek Szuba
2017-12-19 12:37 Marek Szuba
2017-12-19 12:37 Marek Szuba
2017-11-06 11:54 Marek Szuba
2017-11-06 11:54 Marek Szuba
2017-08-01 9:53 Marek Szuba
2017-06-12 9:59 Marek Szuba
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1576768625.e8070f9b7d9965872c9d06e1a87701060dea244e.marecki@gentoo \
--to=marecki@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox